/* config.h.in.  Generated from configure.in by autoheader.  */

/* Define to 1 if DB_ENV->set_errcall() accepts DBE */
#undef HAVE_DBE_SET_ERRCALL_ACCEPT_DBE

/* Define to 1 if `compact' is a member of `DB'. */
#undef HAVE_DB_COMPACT

/* Define to 1 if `get_home' is a member of `DB_ENV'. */
#undef HAVE_DB_ENV_GET_HOME

/* Define to 1 if `get_intermediate_dir_mode' is a member of `DB_ENV'. */
#undef HAVE_DB_ENV_GET_INTERMEDIATE_DIR_MODE

/* Define to 1 if `log_set_config' is a member of `DB_ENV'. */
#undef HAVE_DB_ENV_LOG_SET_CONFIG

/* Define to 1 if `mutex_get_align' is a member of `DB_ENV'. */
#undef HAVE_DB_ENV_MUTEX_GET_ALIGN

/* Define to 1 if `mutex_get_tas_spins' is a member of `DB_ENV'. */
#undef HAVE_DB_ENV_MUTEX_GET_TAS_SPINS

/* Define to 1 if `mutex_set_align' is a member of `DB_ENV'. */
#undef HAVE_DB_ENV_MUTEX_SET_ALIGN

/* Define to 1 if `mutex_set_tas_spins' is a member of `DB_ENV'. */
#undef HAVE_DB_ENV_MUTEX_SET_TAS_SPINS

/* Define to 1 if `set_msgcall' is a member of `DB_ENV'. */
#undef HAVE_DB_ENV_SET_MSGCALL

/* Define to 1 if you have the `db_full_version' function. */
#undef HAVE_DB_FULL_VERSION

/* Define to 1 if DB->get_transactional() accepts just 1 argument */
#undef HAVE_DB_GET_TRANSACTIONAL_1ARG

/* Define to 1 if you have the <db.h> header file. */
#undef HAVE_DB_H

/* Define to 1 if `st_lock_nowait' is a member of `DB_LOCK_STAT'. */
#undef HAVE_DB_LOCK_STAT_ST_LOCK_NOWAIT

/* Define to 1 if `st_lock_wait' is a member of `DB_LOCK_STAT'. */
#undef HAVE_DB_LOCK_STAT_ST_LOCK_WAIT

/* Define to 1 if `st_nconflicts' is a member of `DB_LOCK_STAT'. */
#undef HAVE_DB_LOCK_STAT_ST_NCONFLICTS

/* Define to 1 if `st_nnowaits' is a member of `DB_LOCK_STAT'. */
#undef HAVE_DB_LOCK_STAT_ST_NNOWAITS

/* Define to 1 if DB->stat() accepts TXNid */
#undef HAVE_DB_STAT_ACCEPT_TXN

/* Define to 1 if `gid' is a member of `DB_TXN_ACTIVE'. */
#undef HAVE_DB_TXN_ACTIVE_GID

/* Define to 1 if `status' is a member of `DB_TXN_ACTIVE'. */
#undef HAVE_DB_TXN_ACTIVE_STATUS

/* Define to 1 if you have the declaration of `DB_LOCK_READ_UNCOMMITTED', and
   to 0 if you don't. */
#undef HAVE_DECL_DB_LOCK_READ_UNCOMMITTED

/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H

/* Define to 1 if you have the <memory.h> header file. */
#undef HAVE_MEMORY_H

/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#undef HAVE_STDLIB_H

/* Define to 1 if you have the <strings.h> header file. */
#undef HAVE_STRINGS_H

/* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H

/* Define to 1 if you have the <sys/stat.h> header file. */
#undef HAVE_SYS_STAT_H

/* Define to 1 if you have the <sys/types.h> header file. */
#undef HAVE_SYS_TYPES_H

/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H

/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT

/* Define to the full name of this package. */
#undef PACKAGE_NAME

/* Define to the full name and version of this package. */
#undef PACKAGE_STRING

/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME

/* Define to the home page for this package. */
#undef PACKAGE_URL

/* Define to the version of this package. */
#undef PACKAGE_VERSION

/* The size of `db_recno_t', as computed by sizeof. */
#undef SIZEOF_DB_RECNO_T

/* Define to 1 if you have the ANSI C header files. */
#undef STDC_HEADERS

/* Enable extensions on AIX 3, Interix.  */
#ifndef _ALL_SOURCE
# undef _ALL_SOURCE
#endif
/* Enable general extensions on macOS.  */
#ifndef _DARWIN_C_SOURCE
# undef _DARWIN_C_SOURCE
#endif
/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# undef _GNU_SOURCE
#endif
/* Enable NetBSD extensions on NetBSD.  */
#ifndef _NETBSD_SOURCE
# undef _NETBSD_SOURCE
#endif
/* Enable OpenBSD extensions on NetBSD.  */
#ifndef _OPENBSD_SOURCE
# undef _OPENBSD_SOURCE
#endif
/* Enable threading extensions on Solaris.  */
#ifndef _POSIX_PTHREAD_SEMANTICS
# undef _POSIX_PTHREAD_SEMANTICS
#endif
/* Enable extensions specified by ISO/IEC TS 18661-5:2014.  */
#ifndef __STDC_WANT_IEC_60559_ATTRIBS_EXT__
# undef __STDC_WANT_IEC_60559_ATTRIBS_EXT__
#endif
/* Enable extensions specified by ISO/IEC TS 18661-1:2014.  */
#ifndef __STDC_WANT_IEC_60559_BFP_EXT__
# undef __STDC_WANT_IEC_60559_BFP_EXT__
#endif
/* Enable extensions specified by ISO/IEC TS 18661-2:2015.  */
#ifndef __STDC_WANT_IEC_60559_DFP_EXT__
# undef __STDC_WANT_IEC_60559_DFP_EXT__
#endif
/* Enable extensions specified by ISO/IEC TS 18661-4:2015.  */
#ifndef __STDC_WANT_IEC_60559_FUNCS_EXT__
# undef __STDC_WANT_IEC_60559_FUNCS_EXT__
#endif
/* Enable extensions specified by ISO/IEC TS 18661-3:2015.  */
#ifndef __STDC_WANT_IEC_60559_TYPES_EXT__
# undef __STDC_WANT_IEC_60559_TYPES_EXT__
#endif
/* Enable extensions specified by ISO/IEC TR 24731-2:2010.  */
#ifndef __STDC_WANT_LIB_EXT2__
# undef __STDC_WANT_LIB_EXT2__
#endif
/* Enable extensions specified by ISO/IEC 24747:2009.  */
#ifndef __STDC_WANT_MATH_SPEC_FUNCS__
# undef __STDC_WANT_MATH_SPEC_FUNCS__
#endif
/* Enable extensions on HP NonStop.  */
#ifndef _TANDEM_SOURCE
# undef _TANDEM_SOURCE
#endif
/* Enable X/Open extensions if necessary.  HP-UX 11.11 defines
   mbstate_t only if _XOPEN_SOURCE is defined to 500, regardless of
   whether compiling with -Ae or -D_HPUX_SOURCE=1.  */
#ifndef _XOPEN_SOURCE
# undef _XOPEN_SOURCE
#endif
/* Enable X/Open compliant socket functions that do not require linking
   with -lxnet on HP-UX 11.11.  */
#ifndef _HPUX_ALT_XOPEN_SOCKET_API
# undef _HPUX_ALT_XOPEN_SOCKET_API
#endif
/* Enable general extensions on Solaris.  */
#ifndef __EXTENSIONS__
# undef __EXTENSIONS__
#endif


/* Number of bits in a file offset, on hosts where this is settable. */
#undef _FILE_OFFSET_BITS

/* Define for large files, on AIX-style hosts. */
#undef _LARGE_FILES

/* Define to 1 if on MINIX. */
#undef _MINIX

/* Define to 1 to make NetBSD features available. MINIX 3 needs this. */
#undef _NETBSD_SOURCE

/* Define to 2 if the system does not provide POSIX.1 features except with
   this defined. */
#undef _POSIX_1_SOURCE

/* Define to 1 if you need to in order for 'stat' and other things to work. */
#undef _POSIX_SOURCE
